Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class XSLTUtils

    java.lang.Object
      org.apache.axis2.util.XSLTUtils

    public class XSLTUtils

extends Object

Constructor Summary
`XSLTUtils()`

Method Summary
`static void` | `addAttribute(Document document, String AttribName, String attribValue, Element element)` Utility method to add an attribute to a given element
`static Element` | `addChildElement(Document document, String elementName, Node parentNode)` Utility method to add an attribute to a given element
`static Document` | `getDocument()`
`static Element` | `getElement(Document document, String elementName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTUtils

    public XSLTUtils()

Method Detail

### getDocument

    public static Document getDocument()
                                throws ParserConfigurationException

  Throws:
    `ParserConfigurationException`

### addAttribute

    public static void addAttribute(Document document,
                                    String AttribName,
                                    String attribValue,
                                    Element element)

  Utility method to add an attribute to a given element

  Parameters:
    `document` -
    `AttribName` -
    `attribValue` -
    `element` -

### getElement

    public static Element getElement(Document document,
                                     String elementName)

### addChildElement

    public static Element addChildElement(Document document,
                                          String elementName,
                                          Node parentNode)

  Utility method to add an attribute to a given element

  Parameters:
    `document` -
    `elementName` -
    `parentNode` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.